Get Product
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/products/{productId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"metadata": null,
"feedback_coupon_config": null,
"salt": "a621b67ad1cab",
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"name": "License Keys",
"path": null,
"description": "Instant delivery of software license keys.",
"meta_title": null,
"meta_description": null,
"meta_image_id": null,
"meta_twitter_card": "summary_large_image",
"price": "14.99",
"price_slash": null,
"currency": "USD",
"tax_inclusive": true,
"payment_methods": null,
"deliverables": null,
"deliverables_type": "serials",
"requires_fulfillment": false,
"serial_selection_method": null,
"dynamic_url": null,
"stock": null,
"group_id": 1,
"category_id": 1,
"shop_id": 1,
"volume_discounts": null,
"disable_volume_discounts_if_coupon": 0,
"type": "variant",
"instructions": null,
"out_of_stock_message": null,
"thank_you_message": null,
"custom_fields_after_payment": false,
"sort_priority": 0,
"group_sort_priority": 0,
"dashboard_order": null,
"visibility": "public",
"cloudflare_image_id": null,
"deleted_at": null,
"terminated_at": null,
"quantity_min": null,
"quantity_max": null,
"discord_required": false,
"required_discord_guild_id": null,
"required_discord_role_id": null,
"discord_guild_id": null,
"discord_role_id": null,
"block_vpn": 0,
"hide_stock_count": false,
"status_color": null,
"status_text": null,
"products_sold": 0,
"show_views_count": false,
"show_sales_count": false,
"show_sales_notifications": false,
"sales_count_hours": null,
"deliverables_label": null,
"affiliate_percentage": null,
"is_mandatory": false,
"reseller_enabled": 1,
"reseller_disable_volume_discount": 0,
"cashback_percentage": null,
"payment_method_fee_overrides": null,
"stock_count": 3,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"shop_id": 1,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
],
"variants": [
{
"id": 1,
"product_id": 1,
"name": "Standard",
"description": null,
"image_id": null,
"price": "14.99",
"price_slash": null,
"cost": "4.50",
"quantity_min": null,
"quantity_max": null,
"volume_discounts": null,
"disable_volume_discounts_if_coupon": false,
"serial_selection_method": "random",
"dynamic_url": null,
"redirect_url": null,
"stock": 3,
"instructions": null,
"disabled_payment_method_ids": null,
"order": 0,
"subscription_mode": "disabled",
"recurring_price": null,
"recurring_interval": null,
"recurring_interval_count": 1,
"recurring_trial_days": 0,
"renewal_delivery": "redeliver",
"reseller_connection_id": null,
"supplier_variant_id": null,
"reseller_sync_stock": false,
"discord_roles": [],
"files": []
}
],
"product_tabs": [],
"custom_fields": [],
"product_badges": [],
"product_addons": [],
"product_upsells": []
}Products
Get Product
Retrieves a product.
GET
/
v1
/
shops
/
{shopId}
/
products
/
{productId}
Get Product
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Response
200 - application/json
Example:
1
Example:
null
Example:
null
Example:
"a621b67ad1cab"
Example:
"2026-09-20T15:56:24.000000Z"
Example:
"2026-09-20T15:56:24.000000Z"
Example:
"License Keys"
Example:
null
Example:
"Instant delivery of software license keys."
Example:
null
Example:
null
Example:
null
Example:
"summary_large_image"
Example:
"14.99"
Example:
null
Example:
"USD"
Example:
true
Example:
null
Example:
null
Example:
"serials"
Example:
false
Example:
null
Example:
null
Example:
null
Example:
1
Example:
1
Example:
1
Example:
null
Example:
0
Example:
"variant"
Example:
null
Example:
null
Example:
null
Example:
false
Example:
0
Example:
0
Example:
null
Example:
"public"
Example:
null
Example:
null
Example:
null
Example:
null
Example:
null
Example:
false
Example:
null
Example:
null
Example:
null
Example:
null
Example:
0
Example:
false
Example:
null
Example:
null
Example:
0
Example:
false
Example:
false
Example:
false
Example:
null
Example:
null
Example:
null
Example:
false
Example:
1
Example:
0
Example:
null
Example:
null
Example:
3
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"cloudflare_image_id": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"shop_id": 1,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"product_id": 1,
"name": "Standard",
"description": null,
"image_id": null,
"price": "14.99",
"price_slash": null,
"cost": "4.50",
"quantity_min": null,
"quantity_max": null,
"volume_discounts": null,
"disable_volume_discounts_if_coupon": false,
"serial_selection_method": "random",
"dynamic_url": null,
"redirect_url": null,
"stock": 3,
"instructions": null,
"disabled_payment_method_ids": null,
"order": 0,
"subscription_mode": "disabled",
"recurring_price": null,
"recurring_interval": null,
"recurring_interval_count": 1,
"recurring_trial_days": 0,
"renewal_delivery": "redeliver",
"reseller_connection_id": null,
"supplier_variant_id": null,
"reseller_sync_stock": false,
"discord_roles": [],
"files": []
}
]
Example:
[]
Example:
[]
Example:
[]
Example:
[]
Example:
[]